MU INFO(1)

NAME

mu-info - show information

SYNOPSIS

mu [COMMON OPTIONS] info [TOPIC]

DESCRIPTION

mu info is the mu command for getting information about various topics:

—   mu: general mu build information (default)

—   store: information about the message store

—   fields: table with all the query fields and flags

—   maildirs: list all maildirs under the store's root-maildir

Note that while running (e.g. mu4e), some of the store information can be delayed due to database caching.

COMMON OPTIONS

  -d, --debug

Makes mu generate extra debug information, useful for debugging the program itself. Debug information goes to the standard logging location; see mu(1).

  -q, --quiet

Causes mu not to output informational messages and progress information to standard output, but only to the log file. Error messages will still be sent to standard error. Note that mu index is much faster with --quiet, so it is recommended you use this option when using mu from scripts etc.

  --log-stderr

Causes mu to not output log messages to standard error, in addition to sending them to the standard logging location.

  --nocolor

Do not use ANSI colors. The environment variable NO_COLOR can be used as an alternative to --nocolor.

  -V, --version

Prints mu version and copyright information.

  -h, --help

Lists the various command line options.

EXIT CODE

This command returns 0 upon successful completion, or a non-zero exit code otherwise.

0.  success

2.  no matches found. Try a different query

11. database schema mismatch. You need to re-initialize mu, see mu-init(1)

19. failed to acquire lock. Some other program has exclusive access to the mu database

99. caught an exception

REPORTING BUGS

Please report bugs at https://github.com/djcb/mu/issues.

AUTHOR

Dirk-Jan C. Binnema <djcb@djcbsoftware.nl>

COPYRIGHT

This manpage is part of mu 1.12.7.

Copyright © 2008-2024 Dirk-Jan C. Binnema. License GPLv3+: GNU GPL version 3 or later https://gnu.org/licenses/gpl.html. This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO

mu(1)